Переполнение буфера в препроцессоре Back Orifice в Snort

Дата публикации:
19.10.2005
Дата изменения:
25.10.2005
Всего просмотров:
2101
Опасность:
Критическая
Наличие исправления:
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Воздействие:
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Уязвимые версии: Snort 2.4.0 – 2.4.2

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольный код на целевой системе.

Переполнение буфера существует при обработке Back Orifice пакетов. Удаленный пользователь может послать приложению специально сформированные UDP пакеты, вызвать переполнение буфера и выполнить произвольный код на целевой системе.

Пример/Эксплоит:
Snort Back Orifice Pre-processor Remote Buffer Overflow Exploit

URL производителя: www.snort.com

Решение: Установите последнюю версию (2.4.3) с сайта производителя.

Источник:

Ссылки: Fixes and Mitigation Instructions Available for Snort Back Orifice Vulnerability

или введите имя

CAPTCHA